# Eudyptula Challenge

Le challenge étant fermé, je m'appuie sur les questions trouvables sur des
dépôts Github.

Vous pouvez trouver des réponses (ainsi que des questions)
[sur Github](https://github.com/search?q=Eudyptula).

À noter que j'utilise la commande `indent` pour pouvoir indenter et formater
les fichiers sources selon la convention du kernel Linux.

## Compilation

Il vous faut les fichiers d'entetes du kernel Linux (linux-headers sur les
distributions basées Debian).

Il suffit ensuite d'aller dans le dossier de votre choix et faire `make`.

## Ressources

 * [The Linux Kernel Module Programming Guide](https://sysprog21.github.io/lkmpg)

## Réponses

L'Eudyptula challenge demande souvent des preuves de notre réussite. Vous
pouvez retrouver les commandes et leur résultat ici.

### Tache 1

Pour montrer que mon module marche bien, on regarde les logs du kernel avec la
commande `dmesg`.

```
# après insmod hello.ko
[102102.117958] Coucou le gens !!!!
# après rmmod hello
[102108.046104] Tschuss !!!
```
